Loading...
Searching...
No Matches
EnsureFinalized.hpp File Reference

Default implementation for asserting finalization of parameter objects. More...

`#include <cassert>`
`#include <stdexcept>`
`#include <opm/common/utility/gpuDecorators.hpp>`

Go to the source code of this file.

## Classes

class | Opm::EnsureFinalized
| Default implementation for asserting finalization of parameter objects. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Macros

#define | OPM_CHECK_PARAM_FINALIZED 1
#define | USE_OPM_CHECK_PARAM_FINALIZED 1

## Detailed Description

Default implementation for asserting finalization of parameter objects.